Skip to content

Instagram API - 话题帖子搜索 (V1)

prod-global
GET
/api/instagram/search-hashtag-posts/v1

通过关键词或话题标签搜索公开的Instagram帖子。它返回匹配帖子列表,包括标题、作者资料、发布时间和媒体链接等元数据。

典型用例:

  • 对热门话题和话题标签进行竞争分析
  • 监控特定标签的社区讨论和公众意见
  • 为特定活动聚合用户生成内容

请求参数

参数名位置类型必填说明
tokenquerystringAPI服务的访问令牌。
hashtagquerystring要搜索的话题标签或关键词。
endCursorquerystring用于检索下一页结果的游标。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE"
text
我想使用 Just One API 提供的“话题帖子搜索 (V1)”接口。
接口地址: https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/instagram-apis/hashtag-posts-search-v1-zh.json

请求参数说明:
- token (query): API服务的访问令牌。 (必填)
- hashtag (query): 要搜索的话题标签或关键词。 (必填)
- endCursor (query): 用于检索下一页结果的游标。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/instagram/search-hashtag-posts/v1?token=YOUR_API_KEY&hashtag=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "data": {
      "hashtag": {
        "id": "17841530446091919",
        "name": "deepseek",
        "allow_following": false,
        "is_following": false,
        "is_top_media_only": false,
        "profile_pic_url": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-15/579689328_18507022591068689_53115386940599104...",
        "edge_hashtag_to_media": {
          "count": 152454,
          "page_info": {
            "has_next_page": true,
            "end_cursor": "QVFBcFVjWTBLN2xjRkRHNkR0ZXhSNHlORXVaaU1DUXVwdlRXaElZMFJySWNZTEthOV9UOUtYUmZZZWxtN3M5dzBnXzRTaTlzd3ZY..."
          },
          "edges": [
            {
              "node": {
                "comments_disabled": false,
                "__typename": "GraphImage",
                "id": "3849054895698537931",
                "edge_media_to_caption": {
                  "edges": [
                    {
                      "node": {
                        "text": "New Zero Downtime episode is live.\n\nThis week we break down:\n\nApple MacBook Neo\nDeepSeek vs Claude A..."
                      }
                    }
                  ]
                },
                "shortcode": "DVqlwjTFu3L",
                "edge_media_to_comment": {
                  "count": 0
                },
                "taken_at_timestamp": 1773063127,
                "dimensions": {
                  "height": 607,
                  "width": 1080
                },
                "display_url": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-15/649240667_18392995117198184_25118883566993737...",
                "edge_liked_by": {
                  "count": 0
                },
                "edge_media_preview_like": {
                  "count": 0
                },
                "owner": {
                  "id": "5904382183"
                },
                "thumbnail_src": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-15/649240667_18392995117198184_25118883566993737...",
                "thumbnail_resources": [
                  {
                    "src": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-15/649240667_18392995117198184_25118883566993737...",
                    "config_width": 150,
                    "config_height": 150
                  }
                ],
                "is_video": false,
                "accessibility_caption": "Photo by Advanced Network Professoinals on March 09, 2026. May be an image of microphone and text th..."
              }
            }
          ]
        },
        "edge_hashtag_to_top_posts": {
          "edges": [
            {
              "node": {
                "__typename": "GraphSidecar",
                "id": "3559360150651202917",
                "edge_media_to_caption": {
                  "edges": [
                    {
                      "node": {
                        "text": "👨‍💻 Der Informatiker Antonio Krüger leitet das Deutsche Forschungszentrum für Künstliche Intelligenz..."
                      }
                    }
                  ]
                },
                "shortcode": "DFlYzLfPu1l",
                "edge_media_to_comment": {
                  "count": 35
                },
                "taken_at_timestamp": 1738528819,
                "dimensions": {
                  "height": 1350,
                  "width": 1080
                },
                "display_url": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.2885-15/476124833_610656135002583_7756050468390038718_...",
                "edge_liked_by": {
                  "count": 1827
                },
                "edge_media_preview_like": {
                  "count": 1827
                },
                "owner": {
                  "id": "39955484"
                },
                "thumbnail_src": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.2885-15/476124833_610656135002583_7756050468390038718_...",
                "thumbnail_resources": [
                  {
                    "src": "https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.2885-15/476124833_610656135002583_7756050468390038718_...",
                    "config_width": 150,
                    "config_height": 150
                  }
                ],
                "is_video": false,
                "accessibility_caption": "Photo by Frankfurter Allgemeine on February 02, 2025."
              }
            }
          ]
        },
        "edge_hashtag_to_content_advisory": {
          "count": 0,
          "edges": []
        },
        "edge_hashtag_to_null_state": {
          "edges": []
        }
      }
    },
    "status": "ok",
    "attempts": "6777"
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。